Subject: Re: bug#55388: 28.1; New libraries that neither belong to a package nor provide a feature

From: Stefan Kangas <[email-masked]>
Date: Sun, 17 Sep 2023 16:15:29 -0700

Version: 29.2

Jonas Bernoulli <[email-masked]> writes:

> "lisp/emacs-lisp/shorthands.el" doesn't provide a feature and lacks
> a "Package" library header.  I think "Package: emacs" should be added.

Done.

> Like other files in that directory "lisp/leim/quail/cham.el" neither
> provides a feature nor is it explicitly made part of a package.  Would
> it make sense to add ("leim" . emacs) to `finder--builtins-alist'?
>
> Maybe another such entry should be added for the "obsolete" directory?

Fixed in Bug#62751.

> Unlike other "epa-*" libraries, "lisp/epa-ks.el" isn't made part of
> the "epa" package and fails to provide a feature.

Done.

Thanks for paying attention to this aspect.  I installed the fixes on
emacs-29 (commit 71a1f0fdc9e), and am consequently closing this bug
report.